package com.ruoyi.base.protocol.exception;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;


/**
 * 异常枚举
 */
public enum ProtocolExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    PROTOCOL_IS_NOT_EXISTS(200001, "协议管理不存在"),

    ;

    private Integer code;

    private String msg;

    ProtocolExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ProtocolExceptionEnum getByCode(int code) {
        for (ProtocolExceptionEnum value : ProtocolExceptionEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
